#!/bin/bash

# 固定参数
URL="https://wx.kylinos.cn/kylin-activation/activation_sn_white.ini?raw"
TARGET="/etc/kylin-activation/activation_sn_white.ini"
TMPFILE="/etc/kylin-activation/.tmp_activation_sn_white.ini.$$"

# 下载到临时文件
if curl -fsSL -o "$TMPFILE" "$URL"; then
    mv "$TMPFILE" "$TARGET"
    echo "更新成功：$TARGET"
else
    echo "下载失败，保留原始文件：$TARGET"
    rm -f "$TMPFILE"
    exit 1
fi

